import { AbstractProvider } from "../di/AbstractProvider";
import { AbstractConstructor, Constructor } from "./types";
import { ClaireError } from "./ClaireError";
export declare class ErrorBuilder {
    static forTransientUsedWithInitable(constructorFn: Constructor<any>): ClaireError;
    static forInvalidInjection(message: string): ClaireError;
    static forInjectionCircularDependency(constructorFns: AbstractConstructor<any>[]): ClaireError;
    static forInjectionNotFound(constructorFn: AbstractConstructor<any>): ClaireError;
    static forMutipleInjectionsFound(constructorFn: AbstractConstructor<any>, candidates: Constructor<any>[]): ClaireError;
    static forMutipleProvidersFound(constructorFn: AbstractConstructor<any>, candidates: Constructor<AbstractProvider<any>>[]): ClaireError;
}
